package p10_klasy.v4;

public class Konto {
    int numer;
    int saldo;
    Osoba wlasciciel;
    
    Konto(int numer, int saldo, Osoba wlasciciel) {
        this.numer = numer;
        this.saldo = saldo;
        this.wlasciciel = wlasciciel;
    }
    
    // można tworzyć więcej konstruktorów, które różnią się liczbą lub typem parametrów
    // np. konstruktor tworzący konto z saldem zero:
    Konto(int numer, Osoba wlasciciel) {
        this(numer, 0, wlasciciel);
    }

    @Override
    public String toString() {
        return "Konto nr " + numer + ", " + saldo + " PLN, wł. " + wlasciciel;
    }
    
    void wplata(int kwota) {
        saldo += kwota;
    }

    void wyplata(int kwota) {
        saldo -= kwota;
    }

}
